/* Standard headers */
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <math.h>
#include <errno.h>
#include <fcntl.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <netdb.h>		/* gethostbyname, getnetbyname */
#include <net/ethernet.h>	/* struct ether_addr */
#include <sys/time.h>		/* struct timeval */

/* max interface name length */
#ifdef __FreeBSD__
#include <sys/socket.h>
#include <netinet/in.h>
#include <net/if.h>
#include <net/if_var.h>
#include <netinet/in.h>
#define IFNAMELEN	(IFNAMSIZ)
#else
#define IFNAMELEN	255
#endif

int get_max_qual(char ifname[255]);
struct wifi {
    char ifname[IFNAMELEN];
    int ifnum; 
    int link;
    char level[255];
    char noise[255];
    float max_qual;
};
int get_max_ifs(void);
int wifi_info(struct wifi *wfi);
void next_if(struct wifi *wfi);
void prev_if(struct wifi *wfi);
#ifdef __FreeBSD__
int get_wlaniface(int, int);
#endif
